<script type="text/javascript">
    document.addEventListener('DOMContentLoaded', function () {
        // confirmar eliminar
        @this.on('triggerDestroy', id => {
            Swal.fire({
                title: '¿Estás seguro?',
                text: "¡No podrás revertir esto!",
                icon: 'warning',
                showCancelButton: true,
                confirmButtonColor: '#ff5b5c',
                cancelButtonColor: '#a3afbd',
                confirmButtonText: '¡Sí, bórralo!'
            }).then((result) => {
                if (result.isConfirmed) {
                    @this.call('destroy',id);
                }
            });
        });
    })
</script>
